Package org.apache.avro.compiler.schema

# Class Schemas

java.lang.Object
org.apache.avro.compiler.schema.Schemas

public final class Schemas extends Object
Avro Schema utilities, to traverse...

## Method Summary

Modifier and Type
Method
Description
`static void`
`copyAliases(org.apache.avro.Schema.Field from, org.apache.avro.Schema.Field to)`
`static void`
`copyAliases(org.apache.avro.Schema from, org.apache.avro.Schema to)`
`static void`
`copyLogicalTypes(org.apache.avro.Schema from, org.apache.avro.Schema to)`
`static void`
`copyProperties(org.apache.avro.JsonProperties from, org.apache.avro.JsonProperties to)`
`static String`
`getJavaClassName(org.apache.avro.Schema schema)`
`static boolean`
`hasGeneratedJavaClass(org.apache.avro.Schema schema)`
`static <T> T`
`visit(org.apache.avro.Schema start, SchemaVisitor<T> visitor)`
depth first visit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### copyAliases

public static void copyAliases(org.apache.avro.Schema from, org.apache.avro.Schema to)

### copyAliases

public static void copyAliases(org.apache.avro.Schema.Field from, org.apache.avro.Schema.Field to)

### copyLogicalTypes

public static void copyLogicalTypes(org.apache.avro.Schema from, org.apache.avro.Schema to)

### copyProperties

public static void copyProperties(org.apache.avro.JsonProperties from, org.apache.avro.JsonProperties to)

### hasGeneratedJavaClass

public static boolean hasGeneratedJavaClass(org.apache.avro.Schema schema)

### getJavaClassName

public static String getJavaClassName(org.apache.avro.Schema schema)

### visit

public static <T> T visit(org.apache.avro.Schema start, SchemaVisitor<T> visitor)
depth first visit.

Parameters:
  `start` -
  `visitor` -